#$fwn/package/install.sh
echo "If you installed your system with the Debian DVD containing apt packages you might need it.  This script will attempt to install openssh-server and vim."
echo "The DVD iso should have been named \"64-bit PC DVD-1 iso\"".
echo "You can find that by going to https://www.debian.org/distrib/."
echo "The actual download link is:"
echo "https://cdimage.debian.org/debian-cd/current/amd64/iso-dvd/debian-12.9.0-amd64-DVD-1.iso"
echo ""

echo "Continue?  Press Ctrl+c to exit, or Return to continue with the installation script for the filewriteno system."
read -n1

fs=$fwn/user/file_system
user=$(whoami)
cp $fs/HOME__.bash_profile $HOME/.bash_profile
cp $fs/HOME__.bashrc $HOME/.bashrc
cp $fs/HOME__.gvimrc $HOME/.gvimrc
cp $fs/HOME__.vimrc $HOME/.vimrc

apt install openssh-server
mv /etc/ssh/sshd.config /etc/ssh/sshd.config_1
cp $fs/etc_ssh__sshd_config /etc/ssh/sshd.config

apt install vim
ver=$(ls /usr/share/vim/ | grep vim[0-9]);
mv /usr/share/vim/$ver/colors/default.vim /usr/share/vim/$ver/colors/default_1.vim
cp $fs/usr_share_vim_vim90_colors__default.vim /usr/share/vim/$ver/colors/default.vim
#r&d: ver was decided with vim90 installed.

echo "Installing screen"
echo "This program could be useful for using several shells in one console.  See \$fwn/help/programs for information about how to use screen and other programs."
apt install screen
